## smpte

smpte

## Properties

gint | border | Read / Write
gint | depth | Read / Write
GstSMPTETransitionType | type | Read / Write
guint64 | duration | Read / Write
gboolean | invert | Read / Write

## Types and Values

struct | GstSMPTE

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstSMPTE

## Description

smpte can accept I420 video streams with the same width, height and framerate. The two incoming buffers are blended together using an effect specific alpha mask.

The “depth” property defines the presision in bits of the mask. A higher presision will create a mask with smoother gradients in order to avoid banding.

### Sample pipelines

    1

    gst-launch-1.0 -v videotestsrc pattern=1 ! smpte name=s border=20000 type=234 duration=2000000000 ! videoconvert ! ximagesink videotestsrc ! s.

A pipeline to demonstrate the smpte transition. It shows a pinwheel transition a from a snow videotestsrc to an smpte pattern videotestsrc. The transition will take 2 seconds to complete. The edges of the transition are smoothed with a 20000 big border.

## Synopsis

### Element Information

plugin | smpte
author | Wim Taymans <wim.taymans@chello.be>
class | Filter/Editor/Video

### Element Pads

name | sink1
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | sink2
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSMPTE

    struct GstSMPTE;

## Property Details

### The `“border”` property

      “border”                   gint

The border width of the transition.

Owner: GstSMPTE

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“depth”` property

      “depth”                    gint

Depth of the mask in bits.

Owner: GstSMPTE

Flags: Read / Write

Allowed values: [1,24]

Default value: 16

### The `“type”` property

      “type”                     GstSMPTETransitionType

The type of transition to use.

Owner: GstSMPTE

Flags: Read / Write

Default value: A bar moves from left to right

### The `“duration”` property

      “duration”                 guint64

Duration of the transition effect in nanoseconds.

Owner: GstSMPTE

Flags: Read / Write

Default value: 1000000000

### The `“invert”` property

      “invert”                   gboolean

Invert transition mask.

Owner: GstSMPTE

Flags: Read / Write

Default value: FALSE